Subject: Re: bug#74438: 29.1; global-mark-ring does not work as described

From: Sean McAfee <[email-masked]>
Date: Wed, 20 Nov 2024 11:16:38 -0800

On Wed, Nov 20, 2024 at 2:18 AM Nikolay Kudryavtsev <
[email-masked]> wrote:

> Emacs won't allow you to set multiple marks in the same position, it's
> just going to activate the current mark.
>
I don't want to set multiple marks in the same position though.  I just
want to be able to know in which buffer I most recently set a mark.  I
expected that the first element in global-mark-ring would tell me, but it
doesn't, not reliably, because if the mark already happens to be at the
place I run set-mark-command, the ring is not updated, and the first
element may refer to some other buffer.  That may be the "correct" behavior
by some standard, but it doesn't match the documentation.